Qt Reference Documentation

# QDynamicPropertyChangeEvent Class Reference

The QDynamicPropertyChangeEvent class contains event parameters for dynamic property change events. More...

     #include <QDynamicPropertyChangeEvent>

Inherits: QEvent.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

## Public Functions

| QDynamicPropertyChangeEvent ( const QByteArray & name )
QByteArray | propertyName () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QDynamicPropertyChangeEvent class contains event parameters for dynamic property change events.

Dynamic property change events are sent to objects when properties are dynamically added, changed or removed using QObject::setProperty().

## Member Function Documentation

### QDynamicPropertyChangeEvent::QDynamicPropertyChangeEvent ( const QByteArray & name )

Constructs a dynamic property change event object with the property name set to name.

### QByteArray QDynamicPropertyChangeEvent::propertyName () const

Returns the name of the dynamic property that was added, changed or removed.

See also QObject::setProperty() and QObject::dynamicPropertyNames().